TechDraw GeometricHatch

From FreeCAD Documentation
Revision as of 18:17, 2 February 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

TechDraw GeometricHatch

Menu location
TechDraw → Apply Geometric Hatch to Face
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
Hatch Face using Image File, TechDraw Hatching

Description

The GeometricHatch tool fills a closed region in a View with a pattern based on an AutoDesk PAT hatching specification.

Geometric hatch pattern on a face

How to use

  1. Select an closed region in a View. The region will turn green.
  2. Press the Apply Geometric Hatch to Face button
  3. a dialog will open where you may select your pattern, a scale for the pattern and a line weight.
  4. You may need to press Refresh and/or Redraw Page to get the pattern to update.

Notes

  • Hatching objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information. It is recommended that hatching be one of the last steps in your drawing process.
  • Unlike the Hatch tool, geometric hatch patterns are included when a drawing page is saved as an SVG file.

A small set of sample patterns are available in

$INSTALL_DIR/Mod/TechDraw/PAT/FCPAT.pat

where $INSTALL_DIR is the directory where FreeCAD was installed, for example

/usr/share/freecad/Mod/TechDraw/PAT/FCPAT.pat

Properties

  • DataSource: The View and Face to receive the hatch pattern.
  • DataFile Pattern: The location of the PAT file to use.
  • DataName Pattern: The name of the PAT specification within File Pattern.
  • DataScale Pattern: The scale to be applied to the pattern (must be > 0.0).
  • ViewWeight Pattern: The thickness of the pattern lines.
  • ViewColor Pattern: The color for the pattern lines.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The GeometricHatch tool can be used in macros and from the Python console by using the following functions:

hatch = FreeCAD.ActiveDocument.addObject('TechDraw::DrawGeomHatch','GeomHatch')
hatch.Source = (view1,["Face0"])
hatch.FilePattern = "path/to/myPATfile.pat"
hatch.NamePattern = "Diamond"
rc = page.addView(hatch)